%global momorel 2

Summary:	PCCTS - The Purdue Compiler Construction Tool Set
Name:		pccts
Version:	1.33mr22
Release:	%{momorel}m
Group:		Development/Tools
License:	see "RIGHTS"
Url:		http://www.polhode.com/pccts.html
Source0:	http://www.polhode.com/pccts133mr.zip
NoSource: 0
Source1:	pccts.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PCCTS is a set of public domain software tools designed to
facilitate  the  implementation  of  compilers  and  other
translation systems.  These tools currently include antlr,
dlg and support code.  In many ways, PCCTS is similar to a
highly integrated version of YACC [Joh78] and LEX [Les75];
where antlr (ANother Tool for Language Recognition) corresponds
to YACC and dlg (DFA-based Lexical analyzer Generator)
functions like LEX.  However, PCCTS  has  many  additional
features  which  make it easier to use for a wider range
of translation problems.

%prep
%setup -q -n %name
#%%setup -c -n %name
#unzip -q -d $RPM_BUILD_DIR %SOURCE0

%build
if [ ! -d man ] ; then mkdir -p man/man1 ; fi
make MANDIR=man COPT=-DPCCTS_USE_STDARG
make MANDIR=man manpages

%install
if [ -d %{buildroot} ] && [ ! -L %{buildroot} ]; then rm -r %{buildroot}; fi
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_prefix}/include/pccts

# Installing executables.
install -s -m 755 bin/antlr	%{buildroot}%{_prefix}/bin
install -s -m 755 bin/dlg	%{buildroot}%{_prefix}/bin
install -s -m 755 bin/genmk	%{buildroot}%{_prefix}/bin
install -s -m 755 bin/sor	%{buildroot}%{_prefix}/bin

# Installing man pages.
install -m 644 %{SOURCE1}	%{buildroot}%{_mandir}/man1
install -m 644 man/man1/antlr.1	%{buildroot}%{_mandir}/man1
install -m 644 man/man1/dlg.1	%{buildroot}%{_mandir}/man1

# Installing pccts header files, etc.
install -m 644 h/* %{buildroot}%{_prefix}/include/pccts

# Installing sorcerer header files, etc.
install -m 644 sorcerer/h/*.h %{buildroot}%{_prefix}/include/pccts

# Renaming sorcerer file to avoid conflicting with pccts
cp sorcerer/README README-sorcerer
cp sorcerer/UPDATES UPDATES-sorcerer

%clean
if [ -d %{buildroot} ] && [ ! -L %{buildroot} ]; then rm -r %{buildroot}; fi

%files
%defattr(-,root,root)
%doc CHANGES* KNOWN_PROBLEMS.txt NOTES* README RIGHTS
%doc history.* README-sorcerer UPDATES-sorcerer
%{_prefix}/bin/antlr
%{_prefix}/bin/dlg
%{_prefix}/bin/genmk
%{_prefix}/bin/sor
%{_prefix}/include/pccts
%{_mandir}/man1/pccts.1*
%{_mandir}/man1/antlr.1*
%{_mandir}/man1/dlg.1*

%changelog
* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.33mr22-2m)
- changed 'make MANDIR=man COPT=-DPCCTS_USE_STDARG' 
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823]

* Wed Nov  5 2003 zunda <zunda at freeshell.org>
- (1.33mr22-1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Aug 26 2001 Shingo Akagaki <dora@kondara.org>
- fix up spec file

* Fri Jan 19 2001 Toru Hoshina <toru@df-usa.com>
- revised spec file, thanks to <s_sakai@mxn.mesh.ne.jp>.

* Fri Jul 07 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Mar  4 2000 Toru Hoshina <t@kondara.org>
- I hate unzip :-P

* Wed Aug 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr20-2]
- #234. Implicit int for function return value

* Mon Aug  9 1999 Ryan Weaver <ryanw@infohwy.com>
- Including pccts.1 manpage from 1.33mr19. Seems to be missing
  from 1.33mr20

  [pccts-1.33mr20-1]
- #233. Converted to MSVC 6.0
- #232. Make setwd bit vectors protected in parser.h
- #231. Error in token buffer debug code.
- #230. Fixed problem with #define for -gd option
- #229. Additional "const" for literals
- #228. dlg crashes on "()"
- #227. Array overwrite
- #226. -pedantic conformance
- #225. AST stack adjustment in C mode
- #224. LL(1) and LL(2) with #pragma approx
- #223. Addition of IBM_VISUAL_AGE directory
- #222. Replace __STDC__ with __USE_PROTOS
- #221. Added #include for DLexerBase.h to PBlackBox.

* Fri Apr 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr19-1]
- #220. strcat arguments reversed in #pred parse
- #219. C Mode routine zzfree_ast
- #218. Changes to support unsigned char in C mode
- #217. Error message when dlg -i and -CC options selected
- #216. Defer token fetch for C++ mode
- #215. Addition of reset() to DLGLexerBase
- #214. C mode: Adjust AST stack pointer at exit

* Mon Mar  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr18-2]
- PCCTS Webpage and email address change reflected in RPM header now.

* Fri Jan 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr18-1]
- Modified SPEC for Red Hat Contrib|Net
- #213. (Changed in MR18)  Fatal error with -mrhoistk (k>1 hoisting)

* Mon Jan 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr17-2]
- Fixed header installation.

* Mon Jan  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [pccts-1.33mr17-1]
- #212. (Changed in MR17)  Mac related changes by Kenji Tanaka

* Wed Dec 16 1998 Ryan Weaver <ryanw@infohwy.com>
- Updated to 1.33 Maintainance Release 16a
- Including sor and sorcerer header files.

- #211. (Changed in MR16a)  C++ style comment in dlg
- #210. (Changed in MR16a)  Sor accepts \r\n, \r, or \n for end-of-line

* Fri Dec 11 1998 Ryan Weaver <ryanw@infohwy.com>
- Updated to 1.33 Maintainance Release 16

- #209. (Changed in MR16) Name of files changed.
- #208. (Changed in MR16) Change in use of pccts #include files
- #207. (Changed in MR16) dlg reports an invalid range for: [\0x00-\0xff]
- #206. (Changed in MR16) Free zzFAILtext in ANTLRParser destructor
- #205. (Changed in MR16) DLGStringReset argument now const

* Mon Mar 23 1998 Elliot Lee <sopwith@cuc.edu> 1.33-4
- Include header files

* Mon Mar 23 1998 Elliot Lee <sopwith@cuc.edu> 1.33-3
- Repackage for glibc
